modules:
  - from-file: common/common.yml
  - type: dnf
    repos:
      cleanup: true
      files:
        - kubectl.repo
        - opentofu.repo
        - https://download.docker.com/linux/fedora/docker-ce.repo
        - https://rpm.releases.hashicorp.com/fedora/hashicorp.repo
        - fury.repo
    install:
      packages:
        - docker-ce
        - docker-ce-cli
        - containerd.io
        - docker-buildx-plugin 
        - docker-compose-plugin
        - kubectl
        - helm
        - helix
        - tofu
        - terraform-ls
        - nu
        - carapace-bin
  - type: script
    snippets:
      - curl -sfL https://get.rke2.io | sh
  - type: files
    files:
      - source: rke_setup
        destination: /
  - type: systemd
    system:
      enabled:
      - docker.service
      - create_rke_user.service
      - sshd.service
  - from-file: common/updates.yml
  - from-file: common/bluebuild-logo.yml
  - from-file: common/jp-chezmoi.yml
